<app-menu xmlns="http://www.w3.org/1999/html"></app-menu>
<div class="container-fluid h-150">
    <div class="row justify-content-center h-600">
        <div class="col-lg-8 col-xl-9 chat">
            <div class="card">
                <div class="card-header msg_head">
                    <div class="d-grid gap-2 col-6 mx-auto">
                        <button class="btn btn-primary" (click)="openDialog()" type="button" >Create post</button>
                    </div>
                </div>
                <div class="card-body msg_card_body" *ngIf="posts">
                    <div class="scroll-list">
                        <div *ngFor="let post of posts">
                            <div class="card text-center">
                                <div class="card-header">{{post.user.card.firstName}}</div>
                                <div class="card-body">
                                    <h5 class="card-title">{{post.title}}</h5>
                                    <p class="card-text">{{post.content}}</p>
                                </div>
                                <div class="card-footer text-muted">{{post.lastUpdate * 1000 | date}}</div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>